import { getLuminance, lighten, darken } from 'polished'

import parseColor from './parseColor'

const buttonHover = (theme, hexa, hoverTheme, percent = 0.1) => {
  const isColorLight = getLuminance(hexa) > 0.179

  if (theme.buttonHover) {
    const hoverColor = theme.buttonHover[hoverTheme]

    return parseColor(hoverColor)
  }

  return isColorLight ? darken(percent, hexa) : lighten(percent, hexa)
}

export default buttonHover
